Bug 7433 - eMMC flash fails with "SU_GET_UPDATE_STATUS_REQ terminated with error code 1" on Mac OS X
: eMMC flash fails with "SU_GET_UPDATE_STATUS_REQ terminated with error code 1"...
Status: NEW
Product: Flasher
Mac OS X
: 5.0/(1.2009.42-11)
: N900 Mac OS X
: Unspecified normal with 2 votes (vote)
: ---
Assigned To: unassigned
: flasher-macosx-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-12-29 03:27 UTC by Sverre Helge Bolstad
Modified: 2011-11-02 23:24 UTC (History)
11 users (show)

See Also:


Attachments
The Flasher fails - on MacOS (62.00 KB, application/msword)
2011-04-08 01:57 UTC, Knut
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Sverre Helge Bolstad (reporter) 2009-12-29 03:27:49 UTC
EXACT STEPS LEADING TO PROBLEM:
Have had problems with n900 phone rebooting and also many "Operation
temporarily disabled due to low memory" errors. This is not the problem though,
the problem for this ticket is that I can not flash the emmc.

Im trying to flash the emmc of the phone with
RX-51_2009SE_1.2009.41-1.VANILLA_PR_EMMC_MR0_ARM.bin (I already flashed with
RX-51_2009SE_1.2009.42-11_PR_COMBINED_MR0_ARM.bin without problems, but it did
not solve the rebooting and low memory problem) 

I'm connect the USB-cable while holding down the u key. I have also tried
several times without pressing it down.

I get the error message: SU_GET_UPDATE_STATUS_REQ terminated with error code 1

EXPECTED OUTCOME:
That it executes the emmc-flashing
ACTUAL OUTCOME:
The sequence stops with : SU_GET_UPDATE_STATUS_REQ terminated with error code 1
REPRODUCIBILITY:
always
EXTRA SOFTWARE INSTALLED:
nope

User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; nn-NO;
rv:1.9.1.6) Gecko/20091201 Firefox/3.5.6
Comment 1 Ryan Abel maemo.org 2009-12-29 07:55:19 UTC
Can you provide the transcript from Terminal.app showing the exact command you
used and its complete output?
Comment 2 Sverre Helge Bolstad (reporter) 2009-12-29 10:31:11 UTC
Yesterday I tried this about 20 times, with the same error everytime. Today I
tried to reproduced it and it worked (the phone has been charging all night).
It worked when not holding down the u key.

This is the output from yesterdays failed attempt:
I tried with both sudo and without and with holding down the u and not while
connecting the cable.

sh:Downloads sh$ flasher-3.5 -F
RX-51_2009SE_1.2009.41-1.VANILLA_PR_EMMC_MR0_ARM.bin -f -R
flasher v2.5.2 (Nov 20 2009)

Image 'mmc', size 241163 kB
    Version RX-51_2009SE_1.2009.41-1.VANILLA
Suitable USB device not found, waiting.
USB device found found at bus 007, device address 004-0421-0105-02-00.
Found device RX-51, hardware revision 2101
NOLO version 1.4.13
Version of 'sw-release': RX-51_2009SE_1.2009.42-11_PR_MR0
Booting device into flash mode.
Suitable USB device not found, waiting.
USB device found found at bus 007, device address 004-0421-01c8-02-00.
Raw data transfer EP found at EP2.
SU_GET_UPDATE_STATUS_REQ terminated with error code 1
Comment 3 Eero Tamminen nokia 2010-01-11 16:14:37 UTC
> REPRODUCIBILITY:
> always
...
> User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; nn-NO;

If you try this from some other operating system or computer, does it still
happen?  If not, can you give more details about your computer?
Comment 4 Marko Vertainen 2010-01-15 10:06:31 UTC
I had exactly same error message when I tried to use Debian Etch (32bit) or
Ubuntu 9.10 (32bit) to flash eMMC image to my retail N900. There was no
problems when flashing eMMC image to unit from the summit. Flasher version I
used was from maemo_flasher-3.5_2.5.2.2.tar.gz. Before trying to flash eMMC I
flashed: RX-51_2009SE_2.2009.51-1_PR_COMBINED_MR0_ARM.bin image in that unit
and after that I used command:

./flasher-3.5 -F RX-51_2009SE_1.2009.41-1.VANILLA_PR_EMMC_MR0_ARM.bin -f -R
to flash eMMC image and it failed with error and I had to take battery out to
get device back up and running. I could see those 5 small dots seen on startup
on center of the screen and it freeze on that position. Here is all messages
seen on terminal:

./flasher-3.5 -F RX-51_2009SE_1.2009.41-1.VANILLA_PR_EMMC_MR0_ARM.bin -f -R
flasher v2.5.2 (Oct 21 2009)

Image 'mmc', size 241163 kB
    Version RX-51_2009SE_1.2009.41-1.VANILLA
Suitable USB device not found, waiting.
USB device found found at bus 003, device address 004.
Found device RX-51, hardware revision 2101
NOLO version 1.4.14
Version of 'sw-release': RX-51_2009SE_2.2009.51-1_PR_MR0
Booting device into flash mode.
Suitable USB device not found, waiting.
USB device found found at bus 003, device address 005.
Raw data transfer EP found at EP2.
SU_GET_UPDATE_STATUS_REQ terminated with error code 1.


Using windows flasher from installer "maemo_flasher-3.5_2.5.2.2.exe" worked
without problems in Vista (32bit) when I  pushed "u" key down before connecting
USB cable to the unit.
Comment 5 Eero Tamminen nokia 2010-02-08 18:24:04 UTC
Did these happen after you had flashed the rootfs and device was still powered
up and waiting more commands?  Repeating the flasher command doesn't help?
Comment 6 Marko Vertainen 2010-02-09 08:23:48 UTC
For me, if I remember correctly repeating flasher command few times worked once
or twice with Linux Flasher. 

I installed first rootfs and then shutdown the unit before running EMMC flasher
command.
Comment 7 ktchiu1017 2010-02-12 11:11:47 UTC
I'm getting the same problem except im using ubuntu.

~/Downloads$ sudo flasher-3.5 -F
RX-51_2009SE_1.2009.41-1.VANILLA_PR_EMMC_MR0_ARM.bin -f -R
flasher v2.5.2 (Oct 21 2009)

Image 'mmc', size 241163 kB
Version RX-51_2009SE_1.2009.41-1.VANILLA
Suitable USB device not found, waiting.
USB device found found at bus 001, device address 019.
Found device RX-51, hardware revision 2101
NOLO version 1.4.14
Version of 'sw-release': RX-51_2009SE_2.2009.51-1.002_PR_002
Booting device into flash mode.
Suitable USB device not found, waiting.
USB device found found at bus 001, device address 020.
Raw data transfer EP found at EP2.
SU_GET_UPDATE_STATUS_REQ terminated with error code 1.
Comment 8 Andre Klapper maemo.org 2010-03-05 17:42:06 UTC
Did this happen again to somebody with the latest flasher version in a newer
release, or did you all use the Over-The-Air updates?
Comment 9 Gabry 2010-03-07 17:15:24 UTC
I can not flash the emmc.
I'm connect the USB-cable while holding down the u key. I have also tried
several times without pressing it down.
I get the error message: SU_GET_UPDATE_STATUS_REQ terminated with error code 1

I have the last firmware. I tried this about 30 times, but nothing.
I use windows for flash and the battery is full charged.

How I can solve it ?
Comment 10 Marko Vertainen 2010-03-08 10:18:06 UTC
(In reply to comment #8)
> Did this happen again to somebody with the latest flasher version in a newer
> release, or did you all use the Over-The-Air updates?
> 

I was able to flash new release (v3.2010.02-8) without errors in 32bit Ubuntu
9.10.
Comment 11 brunoantoniazzi 2010-03-19 05:14:25 UTC
(In reply to comment #10)
> (In reply to comment #8)
> > Did this happen again to somebody with the latest flasher version in a newer
> > release, or did you all use the Over-The-Air updates?
> > 
> 
> I was able to flash new release (v3.2010.02-8) without errors in 32bit Ubuntu
> 9.10.
> 

(In reply to comment #9)
> I can not flash the emmc.
> I'm connect the USB-cable while holding down the u key. I have also tried
> several times without pressing it down.
> I get the error message: SU_GET_UPDATE_STATUS_REQ terminated with error code 1
> 
> I have the last firmware. I tried this about 30 times, but nothing.
> I use windows for flash and the battery is full charged.
> 
> How I can solve it ?
> 

Did someone solve it. Ive tried on linux and ubuntu. N900 flashes ok but emmc
keeps corrupted and not working.

Thanks.
Comment 12 spam 2010-04-03 14:58:43 UTC
I had the same issue after flashing to
RX-51_2009SE_2.2009.51-1_PR_COMBINED_MR0_ARM.bin then attempting to flash
RX-51_2009SE_1.2009.41-1.VANILLA_PR_EMMC_MR0_ARM.bin

I solved it by flashing to RX-51_2009SE_2.2009.51-1_PR_COMBINED_MR0_ARM.bin
then removing the USB cable then removing the battery. Wait a few seconds.

Insert the battery, start the flash utility 
./flasher-3.5 -F ../RX-51_2009SE_1.2009.41-1.VANILLA_PR_EMMC_MR0_ARM.bin -f -R
Now press U and plug the USB cable in ... you should see it flashing now.
Comment 13 Truong Anh Tu 2010-04-14 06:32:48 UTC
(In reply to comment #12)
> I had the same issue after flashing to
> RX-51_2009SE_2.2009.51-1_PR_COMBINED_MR0_ARM.bin then attempting to flash
> RX-51_2009SE_1.2009.41-1.VANILLA_PR_EMMC_MR0_ARM.bin
> I solved it by flashing to RX-51_2009SE_2.2009.51-1_PR_COMBINED_MR0_ARM.bin
> then removing the USB cable then removing the battery. Wait a few seconds.
> Insert the battery, start the flash utility 
> ./flasher-3.5 -F ../RX-51_2009SE_1.2009.41-1.VANILLA_PR_EMMC_MR0_ARM.bin -f -R
> Now press U and plug the USB cable in ... you should see it flashing now.

I did exactly what you said but still get error:

SU_GET_UPDATE_STATUS_REQ terminated with error code 1.
Comment 14 Andre Klapper maemo.org 2010-04-26 21:57:20 UTC
(In reply to comment #11)
> Did someone solve it. Ive tried on linux and ubuntu. N900 flashes ok but emmc
> keeps corrupted and not working.

Directly after this happens, can you run "dmesg | tail" in a terminal on the
Ubuntu machine and post the output here?

(I don't know if dmesg also exists on Mac OS.)
Comment 15 tkteun 2010-05-28 00:09:27 UTC
C:\Program Files\maemo\flasher-3.5>flasher-3.5.exe -F
RX-51_2009SE_10.2010.19-1_
PR_COMBINED_MR0_ARM.bin -f
flasher v2.5.2 (Sep 24 2009)

SW version in image: RX-51_2009SE_10.2010.19-1_PR_MR0
Image 'kernel', size 1705 kB
        Version 2.6.28-20101501+0m5
Image 'rootfs', size 173568 kB
        Version RX-51_2009SE_10.2010.19-1_PR_MR0
Image 'cmt-2nd', size 81408 bytes
        Version BB5_09.36
Image 'cmt-algo', size 519808 bytes
        Version BB5_09.36
Image 'cmt-mcusw', size 5826 kB
        Version rx51_ICPR82_10w08
Image '2nd', size 14720 bytes
        Valid for RX-51: 2217, 2218, 2219, 2220, 2120
        Version 1.4.14.8+0m5
Image 'xloader', size 14848 bytes
        Valid for RX-51: 2217, 2218, 2219, 2220, 2120
        Version 1.4.14.8+0m5
Image 'secondary', size 109440 bytes
        Valid for RX-51: 2217, 2218, 2219, 2220, 2120
        Version 1.4.14.8+0m5
Image '2nd', size 14720 bytes
        Valid for RX-51: 2101, 2102, 2103
        Version 1.4.14.8+0m5
Image 'xloader', size 14848 bytes
        Valid for RX-51: 2101, 2102, 2103
        Version 1.4.14.8+0m5
Image 'secondary', size 109440 bytes
        Valid for RX-51: 2101, 2102, 2103
        Version 1.4.14.8+0m5
Image '2nd', size 14848 bytes
        Valid for RX-51: 2307, 2308, 2309, 2310
        Version 1.4.14.8+0m5
Image 'xloader', size 14848 bytes
        Valid for RX-51: 2307, 2308, 2309, 2310
        Version 1.4.14.8+0m5
Image 'secondary', size 109440 bytes
        Valid for RX-51: 2307, 2308, 2309, 2310
        Version 1.4.14.8+0m5
Image '2nd', size 14848 bytes
        Valid for RX-51: 2407, 2408, 2409, 2410
        Version 1.4.14.8+0m5
Image 'xloader', size 14848 bytes
        Valid for RX-51: 2407, 2408, 2409, 2410
        Version 1.4.14.8+0m5
Image 'secondary', size 109440 bytes
        Valid for RX-51: 2407, 2408, 2409, 2410
        Version 1.4.14.8+0m5
Image '2nd', size 14848 bytes
        Valid for RX-51: 2301, 2302, 2303, 2304, 2305, 2306
        Version 1.4.14.8+0m5
Image 'xloader', size 14848 bytes
        Valid for RX-51: 2301, 2302, 2303, 2304, 2305, 2306
        Version 1.4.14.8+0m5
Image 'secondary', size 109440 bytes
        Valid for RX-51: 2301, 2302, 2303, 2304, 2305, 2306
        Version 1.4.14.8+0m5
Image '2nd', size 14848 bytes
        Valid for RX-51: 2401, 2402, 2403, 2404, 2405, 2406
        Version 1.4.14.8+0m5
Image 'xloader', size 14848 bytes
        Valid for RX-51: 2401, 2402, 2403, 2404, 2405, 2406
        Version 1.4.14.8+0m5
Image 'secondary', size 109440 bytes
        Valid for RX-51: 2401, 2402, 2403, 2404, 2405, 2406
        Version 1.4.14.8+0m5
Image '2nd', size 14720 bytes
        Valid for RX-51: 2104, 2105, 2106, 2107, 2108, 2109, 2110, 2111, 2112,
2
113, 2114, 2115, 2116, 2117, 2118, 2119
        Version 1.4.14.8+0m5
Image 'xloader', size 14848 bytes
        Valid for RX-51: 2104, 2105, 2106, 2107, 2108, 2109, 2110, 2111, 2112,
2
113, 2114, 2115, 2116, 2117, 2118, 2119
        Version 1.4.14.8+0m5
Image 'secondary', size 109440 bytes
        Valid for RX-51: 2104, 2105, 2106, 2107, 2108, 2109, 2110, 2111, 2112,
2
113, 2114, 2115, 2116, 2117, 2118, 2119
        Version 1.4.14.8+0m5
Image '2nd', size 14848 bytes
        Valid for RX-51: 2501, 2502, 2503, 2504, 2505, 2506
        Version 1.4.14.8+0m5
Image 'xloader', size 14848 bytes
        Valid for RX-51: 2501, 2502, 2503, 2504, 2505, 2506
        Version 1.4.14.8+0m5
Image 'secondary', size 109440 bytes
        Valid for RX-51: 2501, 2502, 2503, 2504, 2505, 2506
        Version 1.4.14.8+0m5
Image '2nd', size 14848 bytes
        Valid for RX-51: 2607, 2608, 2609, 2610
        Version 1.4.14.8+0m5
Image 'xloader', size 14848 bytes
        Valid for RX-51: 2607, 2608, 2609, 2610
        Version 1.4.14.8+0m5
Image 'secondary', size 109440 bytes
        Valid for RX-51: 2607, 2608, 2609, 2610
        Version 1.4.14.8+0m5
Image '2nd', size 14848 bytes
        Valid for RX-51: 2507, 2508, 2509, 2510
        Version 1.4.14.8+0m5
Image 'xloader', size 14848 bytes
        Valid for RX-51: 2507, 2508, 2509, 2510
        Version 1.4.14.8+0m5
Image 'secondary', size 109440 bytes
        Valid for RX-51: 2507, 2508, 2509, 2510
        Version 1.4.14.8+0m5
Image '2nd', size 14720 bytes
        Valid for RX-51: 2201, 2202, 2203, 2204, 2205, 2206, 2207, 2208, 2209,
2
210, 2211, 2212, 2213, 2214, 2215, 2216
        Version 1.4.14.8+0m5
Image 'xloader', size 14848 bytes
        Valid for RX-51: 2201, 2202, 2203, 2204, 2205, 2206, 2207, 2208, 2209,
2
210, 2211, 2212, 2213, 2214, 2215, 2216
        Version 1.4.14.8+0m5
Image 'secondary', size 109440 bytes
        Valid for RX-51: 2201, 2202, 2203, 2204, 2205, 2206, 2207, 2208, 2209,
2
210, 2211, 2212, 2213, 2214, 2215, 2216
        Version 1.4.14.8+0m5
Image '2nd', size 14848 bytes
        Valid for RX-51: 2601, 2602, 2603, 2604, 2605, 2606
        Version 1.4.14.8+0m5
Image 'xloader', size 14848 bytes
        Valid for RX-51: 2601, 2602, 2603, 2604, 2605, 2606
        Version 1.4.14.8+0m5
Image 'secondary', size 109440 bytes
        Valid for RX-51: 2601, 2602, 2603, 2604, 2605, 2606
        Version 1.4.14.8+0m5
USB device found found at bus bus-0, device address
\\.\libusb0-0001--0x0421-0x0
105.
Found device RX-51, hardware revision 2104
NOLO version 1.4.14
Version of 'sw-release': RX-51_2009SE_10.2010.19-1_PR_MR0
Sending xloader image (14 kB)...
100% (14 of 0 kB, avg. 14 kB/s)
Sending secondary image (106 kB)...
100% (106 of 0 kB, avg. 106 kB/s)
Flashing bootloader... done.
Sending cmt-2nd image (79 kB)...
100% (79 of 0 kB, avg. 79 kB/s)
Sending cmt-algo image (507 kB)...
100% (507 of 0 kB, avg. 507 kB/s)
Sending cmt-mcusw image (5826 kB)...
100% (5826 of 0 kB, avg. 5826 kB/s)
Flashing cmt-mcusw... done.
Sending kernel image (1705 kB)...
100% (1705 of 0 kB, avg. 1705 kB/s)
Flashing kernel... done.
Sending and flashing rootfs image (173568 kB)...
100% (173568 of 0 kB, avg. 173568 kB/s)
Finishing flashing... done
CMT flashed successfully

C:\Program Files\maemo\flasher-3.5>flasher-3.5.exe -F
RX-51_2009SE_10.2010.13-2.
VANILLA_PR_EMMC_MR0_ARM.bin -f
flasher v2.5.2 (Sep 24 2009)

Image 'mmc', size 255947 kB
        Version RX-51_2009SE_10.2010.13-2.VANILLA
USB device found found at bus bus-0, device address
\\.\libusb0-0001--0x0421-0x0
105.
Found device RX-51, hardware revision 2104
NOLO version 1.4.14
Version of 'sw-release': RX-51_2009SE_10.2010.19-1_PR_MR0
Booting device into flash mode.
Suitable USB device not found, waiting.
USB device found found at bus bus-0, device address
\\.\libusb0-0001--0x0421-0x0
1c8.
Raw data transfer EP found at EP2.
SU_GET_UPDATE_STATUS_REQ terminated with error code 1.
C:\Program Files\maemo\flasher-3.5>

It seems like the app can't: "Booting device into flash mode.". The N900
reboots and tries to load something.
The backlight remains off, the 5 dots do the knightrider and stalls on the
second one every time on the error.
After that, the eMMC doesn't get mounted and there's not enough memory to use
graphical applications.
Comment 16 tkteun 2010-05-28 15:27:04 UTC
Tried on Linux today, again with my production phone, now with older image:

tkteun@tk:/mnt/tmp/maemo_flasher-3.5_2.5.2.2$ sudo ./flasher-3.5 -F
./RX-51_2009SE_1.2009.42-11_PR_COMBINED_MR0_ARM.bin -f
flasher v2.5.2 (Oct 21 2009)

SW version in image: RX-51_2009SE_1.2009.42-11_PR_MR0
Image 'kernel', size 1700 kB
        Version 2.6.28-20094102.3+0m5
Image 'rootfs', size 149376 kB
        Version RX-51_2009SE_1.2009.42-11_PR_MR0
Image 'cmt-2nd', size 81408 bytes
        Version 8.2.2009.34.3-2+0m5
Image 'cmt-algo', size 519808 bytes
        Version 8.2.2009.34.3-2+0m5
Image 'cmt-mcusw', size 5786 kB
        Version 8.2.2009.34.3-2+0m5
Image '2nd', size 14720 bytes
        Valid for RX-51: 2217, 2218, 2219, 2220, 2120
        Version 1.4.13+0m5
Image 'xloader', size 14848 bytes
        Valid for RX-51: 2217, 2218, 2219, 2220, 2120
        Version 1.4.13+0m5
Image 'secondary', size 109440 bytes
        Valid for RX-51: 2217, 2218, 2219, 2220, 2120
        Version 1.4.13+0m5
Image '2nd', size 14720 bytes
        Valid for RX-51: 2101, 2102, 2103
        Version 1.4.13+0m5
Image 'xloader', size 14848 bytes
        Valid for RX-51: 2101, 2102, 2103
        Version 1.4.13+0m5
Image 'secondary', size 109440 bytes
        Valid for RX-51: 2101, 2102, 2103
        Version 1.4.13+0m5
Image '2nd', size 14720 bytes
        Valid for RX-51: 2104, 2105, 2106, 2107, 2108, 2109, 2110, 2111, 2112,
2113, 2114, 2115, 2116, 2117, 2118, 2119
        Version 1.4.13+0m5
Image 'xloader', size 14848 bytes
        Valid for RX-51: 2104, 2105, 2106, 2107, 2108, 2109, 2110, 2111, 2112,
2113, 2114, 2115, 2116, 2117, 2118, 2119
        Version 1.4.13+0m5
Image 'secondary', size 109440 bytes
        Valid for RX-51: 2104, 2105, 2106, 2107, 2108, 2109, 2110, 2111, 2112,
2113, 2114, 2115, 2116, 2117, 2118, 2119
        Version 1.4.13+0m5
Image '2nd', size 14720 bytes
        Valid for RX-51: 2201, 2202, 2203, 2204, 2205, 2206, 2207, 2208, 2209,
2210, 2211, 2212, 2213, 2214, 2215, 2216
        Version 1.4.13+0m5
Image 'xloader', size 14848 bytes
        Valid for RX-51: 2201, 2202, 2203, 2204, 2205, 2206, 2207, 2208, 2209,
2210, 2211, 2212, 2213, 2214, 2215, 2216
        Version 1.4.13+0m5
Image 'secondary', size 109440 bytes
        Valid for RX-51: 2201, 2202, 2203, 2204, 2205, 2206, 2207, 2208, 2209,
2210, 2211, 2212, 2213, 2214, 2215, 2216
        Version 1.4.13+0m5
USB device found found at bus 001, device address 007.
Found device RX-51, hardware revision 2104
NOLO version 1.4.14
Version of 'sw-release': RX-51_2009SE_10.2010.19-1_PR_MR0
Sending xloader image (14 kB)...
100% (14 of 14 kB, avg. 3625 kB/s)
Sending secondary image (106 kB)...
100% (106 of 106 kB, avg. 8906 kB/s)
Flashing bootloader... done.
Sending cmt-2nd image (79 kB)...
100% (79 of 79 kB, avg. 7950 kB/s)
Sending cmt-algo image (507 kB)...
100% (507 of 507 kB, avg. 14930 kB/s)
Sending cmt-mcusw image (5786 kB)...
100% (5786 of 5786 kB, avg. 13711 kB/s)
Flashing cmt-mcusw... done.
Sending kernel image (1700 kB)...
100% (1700 of 1700 kB, avg. 14537 kB/s)
Flashing kernel... done.
Sending and flashing rootfs image (149376 kB)...
100% (149376 of 149376 kB, avg. 15082 kB/s)
Finishing flashing... done
CMT flashed successfully

--

tkteun@tk:/mnt/tmp/maemo_flasher-3.5_2.5.2.2$ sudo ./flasher-3.5 -F
./RX-51_2009SE_1.2009.41-1.VANILLA_PR_EMMC_MR0_ARM.bin -f
flasher v2.5.2 (Oct 21 2009)

Image 'mmc', size 241163 kB
        Version RX-51_2009SE_1.2009.41-1.VANILLA
USB device found found at bus 001, device address 007.
Found device RX-51, hardware revision 2104
NOLO version 1.4.14
Version of 'sw-release': RX-51_2009SE_1.2009.42-11_PR_MR0
Booting device into flash mode.
Suitable USB device not found, waiting.
USB device found found at bus 001, device address 008.
Raw data transfer EP found at EP2.
SU_GET_UPDATE_STATUS_REQ terminated with error code 1.

--2nd try:
tkteun@tk:/mnt/tmp/maemo_flasher-3.5_2.5.2.2$ sudo ./flasher-3.5 -F
./RX-51_2009SE_1.2009.41-1.VANILLA_PR_EMMC_MR0_ARM.bin -f
flasher v2.5.2 (Oct 21 2009)

Image 'mmc', size 241163 kB
        Version RX-51_2009SE_1.2009.41-1.VANILLA
USB device found found at bus 001, device address 008.
Raw data transfer EP found at EP2.
Using flashing protocol Mk II.
SU_GET_UPDATE_STATUS_REQ terminated with error code 1.
tkteun@tk:/mnt/tmp/maemo_flasher-3.5_2.5.2.2$ 

--dmesg shows:

--Standard connect:
[84258.360076] usb 1-8: new high speed USB device using ehci_hcd and address 6
[84258.511434] usb 1-8: configuration #1 chosen from 1 choice

--Phone reboots with 'U' key:
[84258.812136] usb 1-8: USB disconnect, address 6
[84259.680499] usb 1-8: new high speed USB device using ehci_hcd and address 7
[84259.911174] usb 1-8: configuration #1 chosen from 1 choice
[84260.122184] NET: Registered protocol family 35
[84260.224020] usbcore: registered new interface driver cdc_phonet

--Flashing kernel image...

--Booting device into flash mode:

[84624.886406] usb 1-8: USB disconnect, address 7
[84627.800081] usb 1-8: new high speed USB device using ehci_hcd and address 8
[84627.951931] usb 1-8: configuration #1 chosen from 1 choice

--Phone is rebooting showing 5 dots

USB device found found at bus 001, device address 008.
Raw data transfer EP found at EP2.
SU_GET_UPDATE_STATUS_REQ terminated with error code 1.

--Phone is still showing the 5 dots and after a couple of seconds it stalls on
the second dot
Comment 17 maemo 2010-07-05 01:26:28 UTC
This is probably caused by damaged memory chip in your phone.

I also get error code 1 and 3:

flasher v2.5.2 (Oct 21 2009)

Image 'mmc', size 255947 kB
        Version RX-51_2009SE_10.2010.13-2.VANILLA
USB device found found at bus 007, device address 045.
Using flashing protocol Mk II.
SU_PREPARE_DATA_BLOCK_REQ terminated with error code 3.

I tried reconnecting it/restarting it many times of course.

I won't spend more time on investigating this issue because I already figured
out that the internal memory storage in my phone is bad:

                 [  238.523193] mmcblk0: error -84 transferring
       data, sector
                     59312104, nr 8, card status 0x900
                     [  238.523193] end_request: I/O error, dev
       mmcblk0, sector
                     59312104
                     [  238.523773] mmcblk0: error -84 transferring
       data, sector
                     59312105, nr 7, card status 0x900
                     [  238.523773] end_request: I/O error, dev
       mmcblk0, sector
                     59312105
                     [  238.524322] mmcblk0: error -84 transferring
       data, sector
                     59312106, nr 6, card status 0x900
                     [  238.524353] end_request: I/O error, dev
       mmcblk0, sector
                     59312106
                     [  238.535644] mmcblk0: error -84 transferring
       data, sector
                     59312107, nr 5, card status 0x900
                     [  238.535675] end_request: I/O error, dev
       mmcblk0, sector
                     59312107
                     [  238.536529] mmcblk0: error -84 transferring
       data, sector
                     59312108, nr 4, card status 0x900
                     [  238.536529] end_request: I/O error, dev
       mmcblk0, sector
                     59312108
                     [  238.574859] mmcblk0: error -84 transferring
       data, sector
                     59312109, nr 3, card status 0x900
                     [  238.574920] end_request: I/O error, dev
       mmcblk0, sector
                     59312109
                     [  238.575744] mmcblk0: error -84 transferring
       data, sector
                     59312110, nr 2, card status 0x900
                     [  238.575775] end_request: I/O error, dev
       mmcblk0, sector
                     59312110

First it started with apps were crashing, the phone was rebooting. 2 days later
it was like the phone restarted 20 times then throw out a screen of random
characters. Even now sometimes when I reboot it the OS loads in fine.
Don't worth wasting time on this just send it back to warranty.
Comment 18 Eero Tamminen nokia 2010-07-15 10:59:06 UTC
(In reply to comment #17)
> This is probably caused by damaged memory chip in your phone.

While it's of course possible for any HW to be faulty, a SW issue is much more
likely.

The UBIFS rootfs is robust enough that HW reboots don't do this, but a failed
flashing of the device, or a bug within kernel (triggered in some very rare
condition in some unrelated part of kernel so that we haven't bumped into it)
could conceivably cause a corrupted root file system.

Ext3 (used for /home & optified content) is possible to corrupt with HW reboots
as Ext3 isn't as robust as UBIFS, but on average you would need at least
several hundreds of unclean reboots to hit this.

FAT used for MyDocs (for compatibility reasons) is very easy for the user to
break.  Disconnect USB cable without using "safely remove", HW reboot while FAT
is being written, using a phone pouch with a magnet etc.

As to what these cause: Corrupted rootfs or home can definitely cause crashes. 
Corrupt FAT is more likely to cause strange behavior than crashes.  If FAT is
very badly corrupted, it has a lots of data which user tries to use a lot, it's
conceivable that it could also trigger some kernel bug (such have been found
with FAT corruption on earlier devices, ability to handle broken FAT doesn't
seem to be very well tested feature on Linux).

These kind of issues can be fixed by rewriting or in case of FAT, repairing the
file system (after taking backup of the data).  FAT can be checked & repaired
by plugging the device in mass storage mode to a PC and using a suitable SW on
the PC.


When moving from SW to HW...

Although flash memory has error correction bits, it's possible for some bit to
get corrupted on its own so that the error correction bits don't help.  This is
exceedingly rare and with earlier devices I've heard of one such incident
within three years (it shows up in dmesg/syslog).  Overwriting the bit with
right value corrects this.

I assume that strong magnets could also cause issues.


> I won't spend more time on investigating this issue because I already figured
> out that the internal memory storage in my phone is bad:
> 
>                  [  238.523193] mmcblk0: error -84 transferring
>        data, sector
>                      59312104, nr 8, card status 0x900

I think this kind of errors can also come if your file system has been
corrupted and FS pointers have bogus values.

If this was the MyDocs partition, you were trying to write over its bounds:
59312104*0.5/1024 = 28961 MB
as the size of the MyDocs partition (on my device) is:
28312128/1024 = 27648.6 MB
Comment 19 Andre Klapper maemo.org 2010-10-11 17:20:19 UTC
For **Linux** this should be fixed nowadays (there were Linux host USB issues,
note to myself: int-138070#32).

It is not helpful that people comment here with operating systems that are NOT
Mac Os X and hence likely mix up different problems.
Keep it clean, please.

Is this still an issue on Mac OS X with latest flasher and latest eMMC image /
Maemo5 software image 10.2010.19-1?
Comment 20 Knut 2011-04-08 01:57:16 UTC
Created an attachment (id=3343) [details]
The Flasher fails - on MacOS

I have tested the flasher on Windows XP, SP3 on Ubuntu Linux (Dell & MacBook)
and MacOS with the same result.

The error status now is 3, and given a "fresh" boot, becomes 1.

On MacOS, the console shows errors during "flashing" indicating that the Mac
starts to look for an SD memory driver - that is not installed.

I share the belief that this is NOT a memory fault, since I have executed the
memory script to clean up and release space on the N900. I can also freely
browse the file system in the "File Manager" on the N900, and with MacOS
"Finder", mounting it as 2 USB memory devices.

I also believe that there are problems on the N900 that I have introduced by
first flashing the OS - which goes fine. The messup started with a operator
(T-Mobile/UK) interrogating the device, and messed up everything from call
forwarding, voicemail to WLAN - and may have done a couple of dozens other
"changes".
The MacOS trace indicates that the bug relates to hardware and the error status
is not trapped by the N900 but on to the device driver on the Mac. No version
of Windows provides this log, nor will Linux expose this.

EP found EP2 should be easier for Nokia to explain, but my assumption is that
this is a semaphore. When flashing, you should if neccessary stop the OS on the
N900 and force the release of all resources. I have earlier experienced that
the N900 used all the aplication memory while installing my 8000 contacts - the
database logs are not cleared, makes loads in one "Commit". So, break the
loading, and EMMC is locked and the error status is more or less the same.
Comment 21 Knut 2011-04-08 01:59:33 UTC
(In reply to comment #1)
> Can you provide the transcript from Terminal.app showing the exact command you
> used and its complete output?

See my log - of terminal and of console messages.
Comment 22 Knut 2011-11-02 23:24:34 UTC
This goes back to my previous N900 - but: When you use the Flasher, In
"Applications" select "Utilities" (in Snow Leopard) and then "Console.app", and
run this beside the Flasher. CPitchford provided me with a neat shell script
that I suggest everyone use on Linux and MacOS.

What I discovered was that the Console at times received an error message from
the N900 that said that the SD memory was not ready. That is the failing flash
memory - HW / chip is bust, there is a timing problem or a single bit error. My
phone was diagnosed with a defunct memory chip and replaced.

Other times there were no console messages, which gives reason to believe that
this is a software bug.

If the USB driver has been configured to trap errors on peripherals, which is
standard for Unix on SCSI, that will isue a "interrogate" on failure and give a
proper explanation. This is NOT MS Windows and when the Console message is that
the SD memory fails, then the problem is that the flash memory used fails.

A HW failue is not related to using a 32 bit host or 64 bit host, running
Windwos, MacOS or Linux. The N900 fails, and will just get worse but can behave
ok. It can also random reboot, and things will get worse.

The script I have, has a option for a "Debug" mode. Should Nokia have a memory
test, I recommend that they publish this and let Microsoft sort out all the
bugs with their OS. Then they can trust the messages that they receive from
reliable sources, and allow us to detect if the chip is faulty.

If the entire memory is flashed, what is the problem with clearing it all, set
it all to "0" and then read it all, check the time for 1 mln m random memory
access to verify it is still '0'.  Then we get an answer.

Beware, I suspect "overclocking" can provoke this HW error to appear.